%global _empty_manifest_terminate_build 0
Name:           python-infi.dtypes.wwn
Version:        0.1.1
Release:        2
Summary:        Datatype for WWN
License:        PSF-2.0
URL:            https://github.com/Infinidat/infi.dtypes.wwn
Source0:        https://files.pythonhosted.org/packages/41/5d/27caf6dbfa5c5be22ccc05882b7aefce752cec3173607ca2e3b13fbfa261/infi.dtypes.wwn-0.1.1.tar.gz
BuildArch:      noarch
%description
Datatype for WWN

%package -n python3-infi.dtypes.wwn
Summary:        Datatype for WWN
Provides:       python-infi.dtypes.wwn
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-infi.dtypes.wwn
Datatype for WWN

%package help
Summary:        Datatype for WWN
Provides:       python3-infi.dtypes.wwn-doc
%description help
Datatype for WWN

%prep
%autosetup -n infi.dtypes.wwn-0.1.1  

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-infi.dtypes.wwn -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jun 16 2022 tanyulong <tanyulong@kylinos.cn> - 0.1.1-2
- delete -S git from %autosetup

* Mon Jul 19 2021 OpenStack_SIG <openstack@openeuler.org> - 0.1.1-1
- Package Spec generate
